From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ml/camlp5/
Date: Tue, 29 Dec 2020 04:14:35 +0000 (UTC) [thread overview]
Message-ID: <1609214814.58a342de13ede0922b4f497247d1bffe8e72d0eb.sam@gentoo> (raw)
commit: 58a342de13ede0922b4f497247d1bffe8e72d0eb
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Tue Dec 29 04:06:47 2020 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Dec 29 04:06:54 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=58a342de
dev-ml/camlp5: bump to 7.14
* Adds 4.12.0 support
* Should support 4.10.2 now too
* Adds tests
Package-Manager: Portage-3.0.9, Repoman-3.0.2
Signed-off-by: Sam James <sam <AT> gentoo.org>
dev-ml/camlp5/Manifest | 1 +
dev-ml/camlp5/camlp5-7.14.ebuild | 59 ++++++++++++++++++++++++++++++++++++++++
2 files changed, 60 insertions(+)
diff --git a/dev-ml/camlp5/Manifest b/dev-ml/camlp5/Manifest
index ecf3d1602bd..87216412e8f 100644
--- a/dev-ml/camlp5/Manifest
+++ b/dev-ml/camlp5/Manifest
@@ -1,3 +1,4 @@
DIST camlp5-7.11.tar.gz 878224 BLAKE2B f384764da43653a2f75664681a4f202ec84497720470a0a33f99fc61a1ce7b4a9d494ffe6b523c74906c122ee04ae25a08bf1fcd356145e85a11e3e3095bbf7d SHA512 109a43f0a3aaa7a3ba9bd51b1fc1273b054d32787e189b138d69b39c42642b480c13abb9e91f15e6b6e889eaf4dc422ad3ff51e4dee298fb9d8cd9a2db99c159
DIST camlp5-7.12.tar.gz 1008350 BLAKE2B 8f390f6d617a6ef029462aa74ca4d80c0e2eb267bb6957aac43fdecc425aae34dfc7f3e572c8a1f4ee6b032dd90b3b8262094f80a19ea0bb19b80a88d22d3f28 SHA512 233d973b0a968a7812b977e8a37da8e8daa0f3ef81ca7c473d83c1602380dae6c14f94daffb6bb799f8d90fab121238a46e89a233202cd6f622b0da2f728c0c0
DIST camlp5-7.13.tar.gz 1031832 BLAKE2B 2afd7e269092d9c40f263e9ce92b3b9f66b0b3f0ae01da43e2094c6a919aa9f26790030f835b630547d51e7bb4a08e74ac8522e7f308864896fa0414370f8f2f SHA512 8ab94b951e6791be895c70e32b930e498229c9ba7bccc505a3e7c2a91ca12fe038b979b9d5822b43e9c74ee2bf552efa1af7a61f1d287100803efb540d5db8b2
+DIST camlp5-7.14.tar.gz 1044110 BLAKE2B c9aa5be80df8d2c376fc41c157b2cd86658dbb90e1babd346b7681afd7453649c7f3682f95f238e51b74b3b3a7a2c5b5a854be892b30a7d1e3b62c3272f5442e SHA512 1b39949c532ca622b01a8e800aa1dcad34f1c944ffe580003642bd742dedc158f3ee54602f3b05f89c0e259525d7feed101b971ebd589449b6d56046389a5bf6
diff --git a/dev-ml/camlp5/camlp5-7.14.ebuild b/dev-ml/camlp5/camlp5-7.14.ebuild
new file mode 100644
index 00000000000..cd630ba25bd
--- /dev/null
+++ b/dev-ml/camlp5/camlp5-7.14.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit findlib vcs-clean
+
+DESCRIPTION="A preprocessor-pretty-printer of ocaml"
+HOMEPAGE="https://camlp5.github.io/"
+SRC_URI="https://github.com/camlp5/camlp5/archive/rel$(ver_rs 1- '').tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/${PN}-rel$(ver_rs 1- '')"
+
+LICENSE="BSD"
+SLOT="0/${PV}"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
+IUSE="doc +ocamlopt"
+
+DEPEND="
+ >=dev-lang/ocaml-3.10:=[ocamlopt?]
+"
+RDEPEND="${DEPEND}"
+
+PATCHES=( "${FILESDIR}/${PN}-7.12-destdir.patch" )
+
+src_prepare() {
+ egit_clean
+ default
+}
+
+src_configure() {
+ ./configure \
+ --strict \
+ -prefix /usr \
+ -bindir /usr/bin \
+ -libdir /usr/$(get_libdir)/ocaml \
+ -mandir /usr/share/man || die "configure failed"
+}
+
+src_compile() {
+ emake out
+ if use ocamlopt; then
+ emake opt
+ emake opt.opt
+ fi
+}
+
+src_test() {
+ emake bootstrap
+}
+
+src_install() {
+ emake DESTDIR="${ED}" install
+ # findlib support
+ insinto "$(ocamlfind printconf destdir)/${PN}"
+ doins etc/META
+
+ dodoc -r doc/*
+ dodoc CHANGES DEVEL ICHANGES README.md UPGRADING MODE
+}
next reply other threads:[~2020-12-29 4:14 UTC|newest]
Thread overview: 79+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-12-29 4:14 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-12-29 10:54 [gentoo-commits] repo/gentoo:master commit in: dev-ml/camlp5/ Sam James
2024-12-29 10:54 Sam James
2024-10-15 20:43 Alfredo Tupone
2024-10-15 15:25 Arthur Zamarin
2024-07-10 12:20 Alfredo Tupone
2024-07-02 14:50 Maciej Barć
2024-07-02 14:50 Maciej Barć
2024-07-02 14:50 Maciej Barć
2024-07-02 14:50 Maciej Barć
2024-07-02 14:50 Maciej Barć
2024-07-02 14:50 Maciej Barć
2024-07-02 14:50 Maciej Barć
2024-07-02 14:50 Maciej Barć
2024-06-05 17:53 Alfredo Tupone
2024-05-30 6:28 Alfredo Tupone
2023-08-08 15:39 Alfredo Tupone
2023-08-06 14:11 Alfredo Tupone
2023-07-17 6:12 Sam James
2023-04-28 13:06 Alfredo Tupone
2023-03-17 11:27 Arthur Zamarin
2023-03-17 7:00 Arthur Zamarin
2023-03-17 6:39 Arthur Zamarin
2023-03-16 23:52 Sam James
2023-03-16 23:17 Sam James
2023-02-19 8:45 Alfredo Tupone
2023-02-18 21:40 Alfredo Tupone
2023-02-15 18:38 Matt Turner
2023-01-27 19:49 Alfredo Tupone
2022-05-03 18:01 Arthur Zamarin
2022-05-03 17:52 Arthur Zamarin
2022-05-03 17:47 Arthur Zamarin
2022-05-03 17:45 Arthur Zamarin
2022-05-01 21:51 Jakov Smolić
2022-04-04 16:26 Alfredo Tupone
2022-01-09 10:51 Alfredo Tupone
2021-10-06 1:02 Sam James
2021-07-29 7:08 Agostino Sarubbo
2021-07-29 6:45 Agostino Sarubbo
2021-07-28 3:12 Sam James
2021-07-28 3:12 Sam James
2021-06-10 3:54 Sam James
2021-05-04 19:23 Sam James
2021-01-27 7:01 Alfredo Tupone
2021-01-24 16:06 Sam James
2021-01-14 6:39 Alfredo Tupone
2020-11-10 1:04 Sam James
2020-11-10 1:04 Sam James
2020-10-28 3:36 Sam James
2020-10-22 13:59 Sam James
2020-10-22 13:59 Sam James
2020-05-14 5:58 Alfredo Tupone
2020-05-13 13:19 Joonas Niilola
2020-05-13 8:11 Alfredo Tupone
2020-02-17 13:36 Alfredo Tupone
2020-02-17 12:21 Agostino Sarubbo
2020-02-17 12:13 Agostino Sarubbo
2020-02-17 12:09 Agostino Sarubbo
2020-02-10 0:53 Miroslav Šulc
2020-02-10 0:53 Miroslav Šulc
2020-01-15 8:16 Alfredo Tupone
2019-10-20 11:41 David Seifert
2017-11-04 9:53 Alexis Ballier
2017-07-17 11:54 Alexis Ballier
2017-06-26 11:43 Alexis Ballier
2017-06-25 14:42 Alexis Ballier
2017-04-27 10:40 Alexis Ballier
2017-01-24 10:55 Alexis Ballier
2017-01-23 18:27 Tobias Klausmann
2017-01-08 6:50 Aaron Bauman
2016-11-29 12:18 Alexis Ballier
2016-04-30 18:08 Alexis Ballier
2016-04-30 18:07 Alexis Ballier
2016-02-04 17:24 Tobias Klausmann
2016-02-02 8:51 Alexis Ballier
2015-11-12 11:58 Alexis Ballier
2015-11-12 11:21 Agostino Sarubbo
2015-11-11 9:54 Agostino Sarubbo
2015-11-10 12:01 Agostino Sarubbo
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1609214814.58a342de13ede0922b4f497247d1bffe8e72d0eb.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox